Contacts
Bulk create contact
POST
/
v1
/
contactBooks
/
{contactBookId}
/
contacts
/
bulk
cURL
curl --request POST \
--url https://app.usesend.com/api/v1/contactBooks/{contactBookId}/contacts/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"properties": {},
"subscribed": true
}
]
'import requests
url = "https://app.usesend.com/api/v1/contactBooks/{contactBookId}/contacts/bulk"
payload = [
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"properties": {},
"subscribed": True
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
email: '<string>',
firstName: '<string>',
lastName: '<string>',
properties: {},
subscribed: true
}
])
};
fetch('https://app.usesend.com/api/v1/contactBooks/{contactBookId}/contacts/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"count": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
3Example:
"cuiwqdj74rygf74"
Body
application/json
⌘I
cURL
